Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ID3D12DescriptorHeapVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions
| BEGIN_INTERFACE (ID3D12DescriptorHeap *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12DescriptorHeap _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)

## Public Attributes
ID3D12DescriptorHeap * | This
ID3D12DescriptorHeap _In_ REFGUID | guid
ID3D12DescriptorHeap _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12DescriptorHeap _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12DescriptorHeap _In_ REFGUID _In_ UINT | DataSize
ID3D12DescriptorHeap _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12DescriptorHeap _In_z_ LPCWSTR | Name
ID3D12DescriptorHeap REFIID | riid
ID3D12DescriptorHeap REFIID _COM_Outptr_opt_ void ** | ppvDevice

## Detailed Description

Definition at line 5555 of file mini_d3d12.h.

## Member Function Documentation

## ◆ BEGIN_INTERFACE()

ID3D12DescriptorHeapVtbl::BEGIN_INTERFACE | ( | ID3D12DescriptorHeap * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject
| ) |  |

## ◆ _In_reads_bytes_opt_()

ID3D12DescriptorHeap _In_ REFGUID _In_ UINT ID3D12DescriptorHeapVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

## Member Data Documentation

## ◆ This

ID3D12DescriptorHeap * ID3D12DescriptorHeapVtbl::This

Definition at line 5566 of file mini_d3d12.h.

## ◆ guid

ID3D12DescriptorHeap _In_ REFGUID ID3D12DescriptorHeapVtbl::guid

Definition at line 5575 of file mini_d3d12.h.

## ◆ pDataSize

ID3D12DescriptorHeap _In_ REFGUID _Inout_ UINT* ID3D12DescriptorHeapVtbl::pDataSize

Definition at line 5576 of file mini_d3d12.h.

## ◆ pData [1/2]

ID3D12DescriptorHeap _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12DescriptorHeapVtbl::pData

Definition at line 5577 of file mini_d3d12.h.

## ◆ DataSize

ID3D12DescriptorHeap _In_ REFGUID _In_ UINT ID3D12DescriptorHeapVtbl::DataSize

Definition at line 5583 of file mini_d3d12.h.

## ◆ pData [2/2]

ID3D12DescriptorHeap _In_ REFGUID _In_opt_ const IUnknown* ID3D12DescriptorHeapVtbl::pData

Definition at line 5590 of file mini_d3d12.h.

## ◆ Name

ID3D12DescriptorHeap _In_z_ LPCWSTR ID3D12DescriptorHeapVtbl::Name

Definition at line 5595 of file mini_d3d12.h.

## ◆ riid

ID3D12DescriptorHeap REFIID ID3D12DescriptorHeapVtbl::riid

Definition at line 5600 of file mini_d3d12.h.

## ◆ ppvDevice

ID3D12DescriptorHeap REFIID _COM_Outptr_opt_ void** ID3D12DescriptorHeapVtbl::ppvDevice

Definition at line 5601 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h